#include <iostream>
using namespace std;
int main() {

    int n, l;
    cin >> n >> l;
    int stalaktiti[n];

    bool uslov=true;
    for(int i = 0; i<n; i++){
        cin >> stalaktiti[i];
    }
    for(int i = 0; i<n; i++){
        if (stalaktiti[i]<=l){
            cout << i+1;
            uslov=false;
            break;
        }
    }


    if (uslov){
        cout << -1;
    }



    return 0;
}